<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\FormController;
use App\Http\Controllers\VendorController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('login', [AuthController::class, 'login']);
Route::post('register', [AuthController::class, 'register']);
Route::get('/users', [AuthController::class, 'index']);
Route::post('/users/{id}', [AuthController::class, 'update']);
Route::delete('/users/{id}', [AuthController::class, 'delete']);

Route::get('/form', [FormController::class, 'index']);
// Route::get('/open-form', [FormController::class, 'store']);
Route::post('/open-form', [FormController::class, 'store']);
Route::get('/form/{id}', [FormController::class, 'show']);
Route::get('/vendor', [VendorController::class, 'index']);
// Routes protected by authentication middleware
Route::middleware('auth:sanctum')->group(function () {
    // Authenticated routes
    Route::post('/form', [FormController::class, 'store']);
    Route::post('/form/{id}', [FormController::class, 'update']);
    Route::delete('/form/{id}', [FormController::class, 'delete']);
    
     Route::post('/vendor', [VendorController::class, 'store']);
     Route::get('/vendor-count', [VendorController::class, 'count']);
    Route::post('/vendor/{id}', [VendorController::class, 'update']);
    Route::delete('/vendor/{id}', [VendorController::class, 'delete']);
    // Add more authenticated routes as needed
});
